import { OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { NgToggleComponent } from './toggle';
export declare class NgToggleAccessorDirective implements ControlValueAccessor, OnDestroy {
    private _host;
    private _onChange;
    private _onTouched;
    private _subscription;
    constructor(_host: NgToggleComponent);
    ngOnDestroy(): void;
    onChange(_: any): void;
    onTouched(): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    writeValue(obj: any): void;
}
